
Figure - Bug #118183
【IOVISSUE-6954】【IOVISSUE-8052】【VC1】【试驾问题】【副屏】副驾显示屏背光关闭策略和仪表中控不
一样
2023-05-23 15:18 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date: 2023-05-26

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 客户未填写

Resolution: WONTFIX Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-26

Test Type: ST Root cause: 控制器异常掉电，由屏端处理

Description

【问题描述】:副驾显示屏背光关闭策略和仪表中控不一样

【软件/网络环境】：EE环境

【IDCM版本】：IDCM 03.02.0080.C101

【试驾人】：杜林林

【实车VIN】： LJD8BB3F2P0000700

【数采仪编号】：0300124

【发生日期 & 时间】：2023/05/16/18：50

【问题来源】：VC1 路试问题跟踪

在台架上屏幕和主板分开供电，主板关机后可以观察到副屏背光亮

History

#1 - 2023-05-23 15:24 - CDTS_TEST 王成

- File 1684826591377.zip added

#2 - 2023-05-23 17:37 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD BSP-余霄

解压密码：000700

#3 - 2023-05-23 19:31 - CD TPM-王祥林

从日志里发现18：50有三次下电操作，副屏会进行关机。但不知道是哪一次屏幕背光没有关闭。

从Android侧的日志发现每次收到下电信号都有先息屏和关机的操作。可能其中一次出现了屏幕背光没有关的问题。

下一步，需要进一步调查kernel里在关机完成之前是否正确关闭了屏幕背光。

//MPU收到MCU关机指令

05-16 18:26:08.670  2281  2429 D ProtectUartService: received uart notiy mpu to shutdown 

//进行灭屏操作

05-16 18:26:08.857  1204  1597 V DisplayPowerController0: Brightness [0.0] reason changing to: 'screen_off', previous reason: 'manual'.

05-16 18:26:08.857  1204  1551 I DisplayDeviceRepository: Display device changed state: "内置屏幕", OFF

//MPU收到MCU关机指令
05-16 18:34:10.937  2259  2395 D ProtectUartService: received uart notiy mpu to shutdown 

//进行灭屏操作

05-16 18:34:11.118  1206  1585 V DisplayPowerController0: Brightness [0.0] reason changing to: 'screen_off', previous reason: 'manual'.

05-16 18:34:11.119  1206  1540 I DisplayDeviceRepository: Display device changed state: "内置屏幕", OFF

//MPU收到MCU关机指令

05-16 19:09:48.835  2779  2918 D ProtectUartService: received uart notiy mpu to shutdown 

//进行灭屏操作

05-16 19:09:49.015  1509  1634 V DisplayPowerController0: Brightness [0.0] reason changing to: 'screen_off', previous reason: 'manual'.

05-16 19:09:49.015   913   913 D SurfaceFlinger: Setting power mode 0 on display 4630946816427681409

05-16 19:09:49.016  1509  1611 I DisplayDeviceRepository: Display device changed state: "内置屏幕", OFF

#4 - 2023-05-23 21:39 - CDTS_Test 吴诗雨

- Fixed Version set to 2023-05-26

#5 - 2023-05-23 21:42 - CDTS_TEST 王成

- Due date set to 2023-05-26

#6 - 2023-05-24 10:10 - CDTS-TEST 周婷

- Category changed from BSP to 黑屏

#7 - 2023-05-24 12:42 - CD BSP-余霄

已和VC1供应商沟通，通过心跳包来控制背光。

如果超时，则屏端自行关闭背光，防止异常掉电,VC1控制器无法下发I2C背光指令

#8 - 2023-05-24 14:26 - CD BSP-杜磊

- Status changed from New to ASSIGNED

根据附件的log发现，

只有亮屏的调用，没有灭屏调用

亮屏：

[MAX975X:max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

#9 - 2023-05-24 16:16 - CD TPM-王祥林

分析结论：

2023-05-16-18_53_33左右，从数据采集仪上屏幕的亮屏时间可以看出，本次上电时间只有12秒左右。

所以这个问题是由于副屏上电后还未完成开机，短时间（12秒）内就下电，导致副屏控制器断电，系统无法走正常的关机流程，无法及时通知到屏幕进

行灭屏导致的。

下一步计划：

已和VC1供应商沟通，通过心跳包来控制背光。如果超时，则屏端自行关闭背光，防止异常掉电,VC1控制器无法下发I2C背光指令

#10 - 2023-05-24 16:53 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Resolution changed from -- to WONTFIX
- Root cause set to 控制器异常掉电，由屏端处理

分析结论：

2023-05-16-18_53_33左右，从数据采集仪上屏幕的亮屏时间可以看出，本次上电时间只有12秒左右。

所以这个问题是由于副屏上电后还未完成开机，短时间（12秒）内就下电，导致副屏控制器断电，系统无法走正常的关机流程，无法及时通知到屏幕进

行灭屏导致的。

下一步计划：

和屏厂讨论策略，如果屏幕收到下电信号后，控制器没有给屏幕关闭背光的信号，就自行关闭背光。

#11 - 2023-05-30 11:16 - CDTS_TEST 王成

- Subject changed from 【IOVISSUE-6954】【VC1】【试驾问题】【副屏】副驾显示屏背光关闭策略和仪表中控不一样 to 【IOVISSUE-6954】

【IOVISSUE-8052】【VC1】【试驾问题】【副屏】副驾显示屏背光关闭策略和仪表中控不一样

#12 - 2023-06-02 17:47 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#13 - 2023-06-02 17:47 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1684826591377.zip 1.84 MB 2023-05-23 CDTS_TEST 王成
